using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class Unk1E0CPacket : Packet
    {
        public uint unk {  get; set; }

        public Unk1E0CPacket(uint unk)
        {
            this.unk = unk;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(unk);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x1E, 0x0C, PacketFlags.None);
        }

        #endregion
    }
}